Draft: Testo

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Text and the translation is 16% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Pagina precedente: Draft Rectangle.svg Rettangolo
Pagina successiva: Quotatura Draft Dimension.svg Arrow-right.svg

Draft Text.svg Testo

Posizione nel menu
Draft → Testo
Ambiente
Draft, Architettura
Avvio veloce
T E
Introdotto nella versione
0.7
Vedere anche
Etichetta, Forma da testo

Descrizione

Lo strumento Draft Text.svg Testo inserisce una casella di testo su più righe in un determinato punto. Usa il tipo di linea e il colore impostati nella barra di Draft.

Per creare un'etichetta di testo con una linea guida e una freccia usare Etichetta. Per creare testo solido o lettere 3D usare Forma da testo con Estrusione di Part.

Draft Text example.png

Per posizionare una casella di testo basta un singolo punto

Utilizzo

See also: Draft Tray and Draft Snap.

  1. Premere il pulsante Draft Text.svg Testo, o premere i tasti T e poi E.
  2. Selezionare un punto nella vista 3D, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg Inserisci punto.
  3. Immettere il testo desiderato, premendo Invio tra ogni riga.
  4. Premere due volte Invio per completare l'operazione.

Opzioni

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Tenere premuto Ctrl mentre si digita il testo per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • PremereInvio o ↓ freccia in giù per inserire una nuova riga di testo.
  • Premere ↑ freccia in su per modificare la riga di testo precedente.
  • Premere due volte Invio o ↓ freccia in giù per finire di editare il testo.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Notes

Attenzione: I testi creati con la versione 0.18 non sono retrocompatibili, quindi eseguire il backup del proprio lavoro se si prova ad aprire con versioni precedenti i file creati con la 0.18.

Proprietà

See also: Property editor.

A Draft Text object is derived from an App FeaturePython object and inherits all its properties. The following properties are additional unless otherwise stated.

Data

Base

Dati

  • DatiText: specifica il contenuto del blocco di testo come un elenco di stringhe; ogni elemento dell'elenco separato da una virgola indica una nuova riga.
  • DatiPosition: specifica il punto base della prima riga del blocco di testo.
  • DatiAngle: specifica la rotazione della linea di base della prima riga del blocco di testo.
  • DatiAxis: specifica l'asse da utilizzare per la rotazione.

View

Annotation

  • VistaAnnotation Style (Enumeration): specifies the annotation style applied to the text. See Draft AnnotationStyleEditor.
  • VistaScale Multiplier (Float): specifies the general scaling factor applied to the text.

Display Options

  • VistaDisplay Mode (Enumeration): specifies how the text is displayed. If it is 3D text the text will be displayed in a plane defined by its DatiPlacement. If it is 2D text the text will always face the camera. This is an inherited property.

Graphics

  • VistaLine Color (Color): not used.
  • VistaLine Width (Float): not used.

Text

Vista

  • VistaDisplay Mode: se è "3D text" il testo è allineato agli assi della scena, inizialmente situati sul piano XY; se è "2D text", il testo è sempre rivolto verso la fotocamera.
  • VistaFont Name: specifica il carattere da utilizzare per disegnare il testo. Può essere il nome di un carattere, ad esempio "Arial", uno stile predefinito come "sans", "serif" o "mono", una famiglia come "Arial,Helvetica,sans" o un nome con uno stile come "Arial:Bold". Se nel sistema non trova il font specificato, ne utilizza uno generico.
  • VistaFont Size: specifica la dimensione delle lettere. Se l'oggetto testo viene creato nella vista ad albero ma non è visibile alcun testo, aumentare la dimensione del testo fino a renderlo visibile.
  • VistaJustification: specifica se il testo è allineato a sinistra, a destra o al centro del punto base.
  • VistaLine Spacing: specifica lo spazio tra le righe di testo.

Scripting

Lo strumento Testo può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

text = make_text(string, placement=None, screen=False)
  • Crea un oggetto Text, nel point definito da un FreeCAD.Vector.
  • stringlist è una stringa o un elenco di stringhe; se si tratta di una lista, ogni elemento viene visualizzato nella sua propria riga.
  • Se screen è True, il testo è sempre rivolto verso la direzione della vista della telecamera, altrimenti si allinea con gli assi della scena e giace sul piano XY.

Le proprietà di visualizzazione di Text possono essere cambiate sovrascrivendo i suoi attributi; per esempio, sovrascrivendo ViewObject.FontSize con le nuove dimensioni in millimetri.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

t1 = "This is a sample text"
p1 = App.Vector(0, 0, 0)

t2 = ["First line", "second line"]
p2 = App.Vector(1000, 1000, 0)

text1 = Draft.make_text(t1, p1)
text2 = Draft.make_text(t2, p2)
text1.ViewObject.FontSize = 200
text2.ViewObject.FontSize = 200

zaxis = App.Vector(0, 0, 1)

t3 = ["Upside", "down"]
p3 = App.Vector(-1000, -500, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 180))
text3 = Draft.make_text(t3, place3)
text3.ViewObject.FontSize = 200

doc.recompute()


Arrow-left.svg Pagina precedente: Draft Rectangle.svg Rettangolo
Pagina successiva: Quotatura Draft Dimension.svg Arrow-right.svg